package com.fjs.scenic.entity.good;

public class DateSurplus {
	
	private Integer id;
	
    private Integer priceRuleId;

    private String startTime;

    private String endTime;

    private Integer surplus;
    
    private Integer goodsId;

    public DateSurplus(Integer priceRuleId, String startTime, String endTime, Integer surplus) {
        this.priceRuleId = priceRuleId;
        this.startTime = startTime;
        this.endTime = endTime;
        this.surplus = surplus;
    }

    public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public DateSurplus() {
        super();
    }

    public Integer getPriceRuleId() {
        return priceRuleId;
    }

    public void setPriceRuleId(Integer priceRuleId) {
        this.priceRuleId = priceRuleId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime == null ? null : startTime.trim();
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime == null ? null : endTime.trim();
    }

    public Integer getSurplus() {
        return surplus;
    }

    public void setSurplus(Integer surplus) {
        this.surplus = surplus;
    }

	public Integer getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}
}